> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT Sales

> Gets NFT sales that have happened through on-chain marketplaces.



## OpenAPI

````yaml /reference/api-json.json get /nft/sales
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/sales:
    get:
      tags:
        - NFT
      summary: Get NFT Sales
      description: Gets NFT sales that have happened through on-chain marketplaces.
      operationId: NFTGetSales
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 10143
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 130
              - 1301
              - 137
              - 168587773
              - 1868
              - 1946
              - 2741
              - 300
              - 324
              - 33111
              - 33139
              - 360
              - 37111
              - 42161
              - 421614
              - 43113
              - 43114
              - 480
              - 4801
              - 534351
              - 534352
              - 5371
              - 5373
              - 59141
              - 59144
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 999999999
            type: number
        - name: contractAddress
          required: true
          in: query
          description: The address of the NFT collection to query.
          schema:
            default: '0x60e4d786628fea6478f785a6d7e704777c86a7c6'
            example: '0x60e4d786628fea6478f785a6d7e704777c86a7c6'
            type: string
        - name: tokenId
          required: true
          in: query
          description: The ID of the token.
          schema:
            default: '8999'
            example: '8999'
            type: string
        - name: cursor
          required: false
          in: query
          description: Cursor from previous query to get next page of results.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTSalesResponse'
components:
  schemas:
    NFTSalesResponse:
      type: object
      properties:
        nftSales:
          type: array
          items:
            $ref: '#/components/schemas/NFTSales'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - nftSales
        - cursor
    NFTSales:
      type: object
      properties:
        marketplace:
          type: string
          example: wyvern
        marketplaceAddress:
          type: string
          example: '0x7Be8076f4EA4A4AD08075C2508e481d6C946D12b'
        contractAddress:
          type: string
          example: '0xe785E82358879F061BC3dcAC6f0444462D4b5330'
        tokenId:
          type: string
          example: '44'
        quantity:
          type: string
          example: '1'
        buyerAddress:
          type: string
          example: '0xCdC78DBE7ccbB7Ab2e07aEa18C1A6424C57ad63d'
        sellerAddress:
          type: string
          example: '0x758070E86f10B4B7BE14f5FefEB11aEb0D3F56dE'
        blockNumber:
          type: number
          example: '13869130'
        transactionHash:
          type: string
          example: '0xfe2f6d1b244c0052a1bca636fed7a39a1ef04639645c8a374a22702cc08a1e01'
        sellerFee:
          $ref: '#/components/schemas/FeeInfo'
        protocolFee:
          $ref: '#/components/schemas/FeeInfo'
        royaltyFee:
          $ref: '#/components/schemas/FeeInfo'
      required:
        - marketplace
        - marketplaceAddress
        - contractAddress
        - tokenId
        - quantity
        - buyerAddress
        - sellerAddress
        - blockNumber
        - transactionHash
        - sellerFee
        - protocolFee
        - royaltyFee
    FeeInfo:
      type: object
      properties:
        amount:
          type: string
          example: '45937500000000000'
        tokenAddress:
          type: string
          example: '0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2'
        symbol:
          type: string
          example: WETH
        decimals:
          type: number
          example: 18
      required:
        - amount
        - tokenAddress
        - symbol
        - decimals
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````